Package io.github.jdbcx.driver

# Class WrappedCallableStatement

java.lang.Object
io.github.jdbcx.driver.WrappedStatement
io.github.jdbcx.driver.WrappedPreparedStatement
io.github.jdbcx.driver.WrappedCallableStatement

All Implemented Interfaces:
  `AutoCloseable`, `CallableStatement`, `PreparedStatement`, `Statement`, `Wrapper`

public class WrappedCallableStatement extends WrappedPreparedStatement implements CallableStatement
This class serves as a wrapper for a `CallableStatement`.

## Field Summary

### Fields inherited from class io.github.jdbcx.driver.WrappedPreparedStatement

`query`

### Fields inherited from class io.github.jdbcx.driver.WrappedStatement

`conn, orphan, queryResult, warning`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`WrappedCallableStatement(WrappedConnection conn, String query, CallableStatement stmt, boolean orphan)`

## Method Summary

Modifier and Type
Method
Description
`Array`
`getArray(int parameterIndex)`
`Array`
`getArray(String parameterName)`
`BigDecimal`
`getBigDecimal(int parameterIndex)`
`BigDecimal`
`getBigDecimal(int parameterIndex, int scale)`
`BigDecimal`
`getBigDecimal(String parameterName)`
`Blob`
`getBlob(int parameterIndex)`
`Blob`
`getBlob(String parameterName)`
`boolean`
`getBoolean(int parameterIndex)`
`boolean`
`getBoolean(String parameterName)`
`byte`
`getByte(int parameterIndex)`
`byte`
`getByte(String parameterName)`
`byte[]`
`getBytes(int parameterIndex)`
`byte[]`
`getBytes(String parameterName)`
`Reader`
`getCharacterStream(int parameterIndex)`
`Reader`
`getCharacterStream(String parameterName)`
`Clob`
`getClob(int parameterIndex)`
`Clob`
`getClob(String parameterName)`
`Date`
`getDate(int parameterIndex)`
`Date`
`getDate(int parameterIndex, Calendar cal)`
`Date`
`getDate(String parameterName)`
`Date`
`getDate(String parameterName, Calendar cal)`
`double`
`getDouble(int parameterIndex)`
`double`
`getDouble(String parameterName)`
`float`
`getFloat(int parameterIndex)`
`float`
`getFloat(String parameterName)`
`int`
`getInt(int parameterIndex)`
`int`
`getInt(String parameterName)`
`long`
`getLong(int parameterIndex)`
`long`
`getLong(String parameterName)`
`Reader`
`getNCharacterStream(int parameterIndex)`
`Reader`
`getNCharacterStream(String parameterName)`
`NClob`
`getNClob(int parameterIndex)`
`NClob`
`getNClob(String parameterName)`
`String`
`getNString(int parameterIndex)`
`String`
`getNString(String parameterName)`
`Object`
`getObject(int parameterIndex)`
`<T> T`
`getObject(int parameterIndex, Class<T> type)`
`Object`
`getObject(int parameterIndex, Map<String,Class<?>> map)`
`Object`
`getObject(String parameterName)`
`<T> T`
`getObject(String parameterName, Class<T> type)`
`Object`
`getObject(String parameterName, Map<String,Class<?>> map)`
`Ref`
`getRef(int parameterIndex)`
`Ref`
`getRef(String parameterName)`
`RowId`
`getRowId(int parameterIndex)`
`RowId`
`getRowId(String parameterName)`
`short`
`getShort(int parameterIndex)`
`short`
`getShort(String parameterName)`
`SQLXML`
`getSQLXML(int parameterIndex)`
`SQLXML`
`getSQLXML(String parameterName)`
`String`
`getString(int parameterIndex)`
`String`
`getString(String parameterName)`
`Time`
`getTime(int parameterIndex)`
`Time`
`getTime(int parameterIndex, Calendar cal)`
`Time`
`getTime(String parameterName)`
`Time`
`getTime(String parameterName, Calendar cal)`
`Timestamp`
`getTimestamp(int parameterIndex)`
`Timestamp`
`getTimestamp(int parameterIndex, Calendar cal)`
`Timestamp`
`getTimestamp(String parameterName)`
`Timestamp`
`getTimestamp(String parameterName, Calendar cal)`
`URL`
`getURL(int parameterIndex)`
`URL`
`getURL(String parameterName)`
`void`
`registerOutParameter(int parameterIndex, int sqlType)`
`void`
`registerOutParameter(int parameterIndex, int sqlType, int scale)`
`void`
`registerOutParameter(int parameterIndex, int sqlType, String typeName)`
`void`
`registerOutParameter(String parameterName, int sqlType)`
`void`
`registerOutParameter(String parameterName, int sqlType, int scale)`
`void`
`registerOutParameter(String parameterName, int sqlType, String typeName)`
`void`
`setAsciiStream(String parameterName, InputStream x)`
`void`
`setAsciiStream(String parameterName, InputStream x, int length)`
`void`
`setAsciiStream(String parameterName, InputStream x, long length)`
`void`
`setBigDecimal(String parameterName, BigDecimal x)`
`void`
`setBinaryStream(String parameterName, InputStream x)`
`void`
`setBinaryStream(String parameterName, InputStream x, int length)`
`void`
`setBinaryStream(String parameterName, InputStream x, long length)`
`void`
`setBlob(String parameterName, InputStream inputStream)`
`void`
`setBlob(String parameterName, InputStream inputStream, long length)`
`void`
`setBlob(String parameterName, Blob x)`
`void`
`setBoolean(String parameterName, boolean x)`
`void`
`setByte(String parameterName, byte x)`
`void`
`setBytes(String parameterName, byte[] x)`
`void`
`setCharacterStream(String parameterName, Reader reader)`
`void`
`setCharacterStream(String parameterName, Reader reader, int length)`
`void`
`setCharacterStream(String parameterName, Reader reader, long length)`
`void`
`setClob(String parameterName, Reader reader)`
`void`
`setClob(String parameterName, Reader reader, long length)`
`void`
`setClob(String parameterName, Clob x)`
`void`
`setDate(String parameterName, Date x)`
`void`
`setDate(String parameterName, Date x, Calendar cal)`
`void`
`setDouble(String parameterName, double x)`
`void`
`setFloat(String parameterName, float x)`
`void`
`setInt(String parameterName, int x)`
`void`
`setLong(String parameterName, long x)`
`void`
`setNCharacterStream(String parameterName, Reader value)`
`void`
`setNCharacterStream(String parameterName, Reader value, long length)`
`void`
`setNClob(String parameterName, Reader reader)`
`void`
`setNClob(String parameterName, Reader reader, long length)`
`void`
`setNClob(String parameterName, NClob value)`
`void`
`setNString(String parameterName, String value)`
`void`
`setNull(String parameterName, int sqlType)`
`void`
`setNull(String parameterName, int sqlType, String typeName)`
`void`
`setObject(String parameterName, Object x)`
`void`
`setObject(String parameterName, Object x, int targetSqlType)`
`void`
`setObject(String parameterName, Object x, int targetSqlType, int scale)`
`void`
`setRowId(String parameterName, RowId x)`
`void`
`setShort(String parameterName, short x)`
`void`
`setSQLXML(String parameterName, SQLXML xmlObject)`
`void`
`setString(String parameterName, String x)`
`void`
`setTime(String parameterName, Time x)`
`void`
`setTime(String parameterName, Time x, Calendar cal)`
`void`
`setTimestamp(String parameterName, Timestamp x)`
`void`
`setTimestamp(String parameterName, Timestamp x, Calendar cal)`
`void`
`setURL(String parameterName, URL val)`
`boolean`
`wasNull()`

### Methods inherited from class io.github.jdbcx.driver.WrappedPreparedStatement

`addBatch, clearParameters, execute, executeQuery, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setRef, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

### Methods inherited from class io.github.jdbcx.driver.WrappedStatement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getGeneratedKeysSafely, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isWrapperFor, newOrphanStatement, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.CallableStatement

`registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, setObject, setObject`

### Methods inherited from interface java.sql.PreparedStatement

`addBatch, clearParameters, execute, executeLargeUpdate, executeQuery, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setObject, setObject, setRef, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, enquoteIdentifier, enquoteLiteral, enquoteNCharLiteral, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isSimpleIdentifier, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

## Constructor Details

### WrappedCallableStatement

protected WrappedCallableStatement(WrappedConnection conn, String query, CallableStatement stmt, boolean orphan)

## Method Details

### registerOutParameter

public void registerOutParameter(int parameterIndex, int sqlType) throws SQLException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLException`

### registerOutParameter

public void registerOutParameter(int parameterIndex, int sqlType, int scale) throws SQLException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLException`

### wasNull

public boolean wasNull() throws SQLException

Specified by:
  `wasNull` in interface `CallableStatement`
Throws:
  `SQLException`

### getString

public String getString(int parameterIndex) throws SQLException

Specified by:
  `getString` in interface `CallableStatement`
Throws:
  `SQLException`

### getBoolean

public boolean getBoolean(int parameterIndex) throws SQLException

Specified by:
  `getBoolean` in interface `CallableStatement`
Throws:
  `SQLException`

### getByte

public byte getByte(int parameterIndex) throws SQLException

Specified by:
  `getByte` in interface `CallableStatement`
Throws:
  `SQLException`

### getShort

public short getShort(int parameterIndex) throws SQLException

Specified by:
  `getShort` in interface `CallableStatement`
Throws:
  `SQLException`

### getInt

public int getInt(int parameterIndex) throws SQLException

Specified by:
  `getInt` in interface `CallableStatement`
Throws:
  `SQLException`

### getLong

public long getLong(int parameterIndex) throws SQLException

Specified by:
  `getLong` in interface `CallableStatement`
Throws:
  `SQLException`

### getFloat

public float getFloat(int parameterIndex) throws SQLException

Specified by:
  `getFloat` in interface `CallableStatement`
Throws:
  `SQLException`

### getDouble

public double getDouble(int parameterIndex) throws SQLException

Specified by:
  `getDouble` in interface `CallableStatement`
Throws:
  `SQLException`

### getBigDecimal

public BigDecimal getBigDecimal(int parameterIndex, int scale) throws SQLException

Specified by:
  `getBigDecimal` in interface `CallableStatement`
Throws:
  `SQLException`

### getBytes

public byte[] getBytes(int parameterIndex) throws SQLException

Specified by:
  `getBytes` in interface `CallableStatement`
Throws:
  `SQLException`

### getDate

public Date getDate(int parameterIndex) throws SQLException

Specified by:
  `getDate` in interface `CallableStatement`
Throws:
  `SQLException`

### getTime

public Time getTime(int parameterIndex) throws SQLException

Specified by:
  `getTime` in interface `CallableStatement`
Throws:
  `SQLException`

### getTimestamp

public Timestamp getTimestamp(int parameterIndex) throws SQLException

Specified by:
  `getTimestamp` in interface `CallableStatement`
Throws:
  `SQLException`

### getObject

public Object getObject(int parameterIndex) throws SQLException

Specified by:
  `getObject` in interface `CallableStatement`
Throws:
  `SQLException`

### getBigDecimal

public BigDecimal getBigDecimal(int parameterIndex) throws SQLException

Specified by:
  `getBigDecimal` in interface `CallableStatement`
Throws:
  `SQLException`

### getObject

public Object getObject(int parameterIndex, Map<String,Class<?>> map) throws SQLException

Specified by:
  `getObject` in interface `CallableStatement`
Throws:
  `SQLException`

### getRef

public Ref getRef(int parameterIndex) throws SQLException

Specified by:
  `getRef` in interface `CallableStatement`
Throws:
  `SQLException`

### getBlob

public Blob getBlob(int parameterIndex) throws SQLException

Specified by:
  `getBlob` in interface `CallableStatement`
Throws:
  `SQLException`

### getClob

public Clob getClob(int parameterIndex) throws SQLException

Specified by:
  `getClob` in interface `CallableStatement`
Throws:
  `SQLException`

### getArray

public Array getArray(int parameterIndex) throws SQLException

Specified by:
  `getArray` in interface `CallableStatement`
Throws:
  `SQLException`

### getDate

public Date getDate(int parameterIndex, Calendar cal) throws SQLException

Specified by:
  `getDate` in interface `CallableStatement`
Throws:
  `SQLException`

### getTime

public Time getTime(int parameterIndex, Calendar cal) throws SQLException

Specified by:
  `getTime` in interface `CallableStatement`
Throws:
  `SQLException`

### getTimestamp

public Timestamp getTimestamp(int parameterIndex, Calendar cal) throws SQLException

Specified by:
  `getTimestamp` in interface `CallableStatement`
Throws:
  `SQLException`

### registerOutParameter

public void registerOutParameter(int parameterIndex, int sqlType, String typeName) throws SQLException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLException`

### registerOutParameter

public void registerOutParameter(String parameterName, int sqlType) throws SQLException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLException`

### registerOutParameter

public void registerOutParameter(String parameterName, int sqlType, int scale) throws SQLException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLException`

### registerOutParameter

public void registerOutParameter(String parameterName, int sqlType, String typeName) throws SQLException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLException`

### getURL

public URL getURL(int parameterIndex) throws SQLException

Specified by:
  `getURL` in interface `CallableStatement`
Throws:
  `SQLException`

### setURL

public void setURL(String parameterName, URL val) throws SQLException

Specified by:
  `setURL` in interface `CallableStatement`
Throws:
  `SQLException`

### setNull

public void setNull(String parameterName, int sqlType) throws SQLException

Specified by:
  `setNull` in interface `CallableStatement`
Throws:
  `SQLException`

### setBoolean

public void setBoolean(String parameterName, boolean x) throws SQLException

Specified by:
  `setBoolean` in interface `CallableStatement`
Throws:
  `SQLException`

### setByte

public void setByte(String parameterName, byte x) throws SQLException

Specified by:
  `setByte` in interface `CallableStatement`
Throws:
  `SQLException`

### setShort

public void setShort(String parameterName, short x) throws SQLException

Specified by:
  `setShort` in interface `CallableStatement`
Throws:
  `SQLException`

### setInt

public void setInt(String parameterName, int x) throws SQLException

Specified by:
  `setInt` in interface `CallableStatement`
Throws:
  `SQLException`

### setLong

public void setLong(String parameterName, long x) throws SQLException

Specified by:
  `setLong` in interface `CallableStatement`
Throws:
  `SQLException`

### setFloat

public void setFloat(String parameterName, float x) throws SQLException

Specified by:
  `setFloat` in interface `CallableStatement`
Throws:
  `SQLException`

### setDouble

public void setDouble(String parameterName, double x) throws SQLException

Specified by:
  `setDouble` in interface `CallableStatement`
Throws:
  `SQLException`

### setBigDecimal

public void setBigDecimal(String parameterName, BigDecimal x) throws SQLException

Specified by:
  `setBigDecimal` in interface `CallableStatement`
Throws:
  `SQLException`

### setString

public void setString(String parameterName, String x) throws SQLException

Specified by:
  `setString` in interface `CallableStatement`
Throws:
  `SQLException`

### setBytes

public void setBytes(String parameterName, byte[] x) throws SQLException

Specified by:
  `setBytes` in interface `CallableStatement`
Throws:
  `SQLException`

### setDate

public void setDate(String parameterName, Date x) throws SQLException

Specified by:
  `setDate` in interface `CallableStatement`
Throws:
  `SQLException`

### setTime

public void setTime(String parameterName, Time x) throws SQLException

Specified by:
  `setTime` in interface `CallableStatement`
Throws:
  `SQLException`

### setTimestamp

public void setTimestamp(String parameterName, Timestamp x) throws SQLException

Specified by:
  `setTimestamp` in interface `CallableStatement`
Throws:
  `SQLException`

### setAsciiStream

public void setAsciiStream(String parameterName, InputStream x, int length) throws SQLException

Specified by:
  `setAsciiStream` in interface `CallableStatement`
Throws:
  `SQLException`

### setBinaryStream

public void setBinaryStream(String parameterName, InputStream x, int length) throws SQLException

Specified by:
  `setBinaryStream` in interface `CallableStatement`
Throws:
  `SQLException`

### setObject

public void setObject(String parameterName, Object x, int targetSqlType, int scale) throws SQLException

Specified by:
  `setObject` in interface `CallableStatement`
Throws:
  `SQLException`

### setObject

public void setObject(String parameterName, Object x, int targetSqlType) throws SQLException

Specified by:
  `setObject` in interface `CallableStatement`
Throws:
  `SQLException`

### setObject

public void setObject(String parameterName, Object x) throws SQLException

Specified by:
  `setObject` in interface `CallableStatement`
Throws:
  `SQLException`

### setCharacterStream

public void setCharacterStream(String parameterName, Reader reader, int length) throws SQLException

Specified by:
  `setCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

### setDate

public void setDate(String parameterName, Date x, Calendar cal) throws SQLException

Specified by:
  `setDate` in interface `CallableStatement`
Throws:
  `SQLException`

### setTime

public void setTime(String parameterName, Time x, Calendar cal) throws SQLException

Specified by:
  `setTime` in interface `CallableStatement`
Throws:
  `SQLException`

### setTimestamp

public void setTimestamp(String parameterName, Timestamp x, Calendar cal) throws SQLException

Specified by:
  `setTimestamp` in interface `CallableStatement`
Throws:
  `SQLException`

### setNull

public void setNull(String parameterName, int sqlType, String typeName) throws SQLException

Specified by:
  `setNull` in interface `CallableStatement`
Throws:
  `SQLException`

### getString

public String getString(String parameterName) throws SQLException

Specified by:
  `getString` in interface `CallableStatement`
Throws:
  `SQLException`

### getBoolean

public boolean getBoolean(String parameterName) throws SQLException

Specified by:
  `getBoolean` in interface `CallableStatement`
Throws:
  `SQLException`

### getByte

public byte getByte(String parameterName) throws SQLException

Specified by:
  `getByte` in interface `CallableStatement`
Throws:
  `SQLException`

### getShort

public short getShort(String parameterName) throws SQLException

Specified by:
  `getShort` in interface `CallableStatement`
Throws:
  `SQLException`

### getInt

public int getInt(String parameterName) throws SQLException

Specified by:
  `getInt` in interface `CallableStatement`
Throws:
  `SQLException`

### getLong

public long getLong(String parameterName) throws SQLException

Specified by:
  `getLong` in interface `CallableStatement`
Throws:
  `SQLException`

### getFloat

public float getFloat(String parameterName) throws SQLException

Specified by:
  `getFloat` in interface `CallableStatement`
Throws:
  `SQLException`

### getDouble

public double getDouble(String parameterName) throws SQLException

Specified by:
  `getDouble` in interface `CallableStatement`
Throws:
  `SQLException`

### getBytes

public byte[] getBytes(String parameterName) throws SQLException

Specified by:
  `getBytes` in interface `CallableStatement`
Throws:
  `SQLException`

### getDate

public Date getDate(String parameterName) throws SQLException

Specified by:
  `getDate` in interface `CallableStatement`
Throws:
  `SQLException`

### getTime

public Time getTime(String parameterName) throws SQLException

Specified by:
  `getTime` in interface `CallableStatement`
Throws:
  `SQLException`

### getTimestamp

public Timestamp getTimestamp(String parameterName) throws SQLException

Specified by:
  `getTimestamp` in interface `CallableStatement`
Throws:
  `SQLException`

### getObject

public Object getObject(String parameterName) throws SQLException

Specified by:
  `getObject` in interface `CallableStatement`
Throws:
  `SQLException`

### getBigDecimal

public BigDecimal getBigDecimal(String parameterName) throws SQLException

Specified by:
  `getBigDecimal` in interface `CallableStatement`
Throws:
  `SQLException`

### getObject

public Object getObject(String parameterName, Map<String,Class<?>> map) throws SQLException

Specified by:
  `getObject` in interface `CallableStatement`
Throws:
  `SQLException`

### getRef

public Ref getRef(String parameterName) throws SQLException

Specified by:
  `getRef` in interface `CallableStatement`
Throws:
  `SQLException`

### getBlob

public Blob getBlob(String parameterName) throws SQLException

Specified by:
  `getBlob` in interface `CallableStatement`
Throws:
  `SQLException`

### getClob

public Clob getClob(String parameterName) throws SQLException

Specified by:
  `getClob` in interface `CallableStatement`
Throws:
  `SQLException`

### getArray

public Array getArray(String parameterName) throws SQLException

Specified by:
  `getArray` in interface `CallableStatement`
Throws:
  `SQLException`

### getDate

public Date getDate(String parameterName, Calendar cal) throws SQLException

Specified by:
  `getDate` in interface `CallableStatement`
Throws:
  `SQLException`

### getTime

public Time getTime(String parameterName, Calendar cal) throws SQLException

Specified by:
  `getTime` in interface `CallableStatement`
Throws:
  `SQLException`

### getTimestamp

public Timestamp getTimestamp(String parameterName, Calendar cal) throws SQLException

Specified by:
  `getTimestamp` in interface `CallableStatement`
Throws:
  `SQLException`

### getURL

public URL getURL(String parameterName) throws SQLException

Specified by:
  `getURL` in interface `CallableStatement`
Throws:
  `SQLException`

### getRowId

public RowId getRowId(int parameterIndex) throws SQLException

Specified by:
  `getRowId` in interface `CallableStatement`
Throws:
  `SQLException`

### getRowId

public RowId getRowId(String parameterName) throws SQLException

Specified by:
  `getRowId` in interface `CallableStatement`
Throws:
  `SQLException`

### setRowId

public void setRowId(String parameterName, RowId x) throws SQLException

Specified by:
  `setRowId` in interface `CallableStatement`
Throws:
  `SQLException`

### setNString

public void setNString(String parameterName, String value) throws SQLException

Specified by:
  `setNString` in interface `CallableStatement`
Throws:
  `SQLException`

### setNCharacterStream

public void setNCharacterStream(String parameterName, Reader value, long length) throws SQLException

Specified by:
  `setNCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

### setNClob

public void setNClob(String parameterName, NClob value) throws SQLException

Specified by:
  `setNClob` in interface `CallableStatement`
Throws:
  `SQLException`

### setClob

public void setClob(String parameterName, Reader reader, long length) throws SQLException

Specified by:
  `setClob` in interface `CallableStatement`
Throws:
  `SQLException`

### setBlob

public void setBlob(String parameterName, InputStream inputStream, long length) throws SQLException

Specified by:
  `setBlob` in interface `CallableStatement`
Throws:
  `SQLException`

### setNClob

public void setNClob(String parameterName, Reader reader, long length) throws SQLException

Specified by:
  `setNClob` in interface `CallableStatement`
Throws:
  `SQLException`

### getNClob

public NClob getNClob(int parameterIndex) throws SQLException

Specified by:
  `getNClob` in interface `CallableStatement`
Throws:
  `SQLException`

### getNClob

public NClob getNClob(String parameterName) throws SQLException

Specified by:
  `getNClob` in interface `CallableStatement`
Throws:
  `SQLException`

### setSQLXML

public void setSQLXML(String parameterName, SQLXML xmlObject) throws SQLException

Specified by:
  `setSQLXML` in interface `CallableStatement`
Throws:
  `SQLException`

### getSQLXML

public SQLXML getSQLXML(int parameterIndex) throws SQLException

Specified by:
  `getSQLXML` in interface `CallableStatement`
Throws:
  `SQLException`

### getSQLXML

public SQLXML getSQLXML(String parameterName) throws SQLException

Specified by:
  `getSQLXML` in interface `CallableStatement`
Throws:
  `SQLException`

### getNString

public String getNString(int parameterIndex) throws SQLException

Specified by:
  `getNString` in interface `CallableStatement`
Throws:
  `SQLException`

### getNString

public String getNString(String parameterName) throws SQLException

Specified by:
  `getNString` in interface `CallableStatement`
Throws:
  `SQLException`

### getNCharacterStream

public Reader getNCharacterStream(int parameterIndex) throws SQLException

Specified by:
  `getNCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

### getNCharacterStream

public Reader getNCharacterStream(String parameterName) throws SQLException

Specified by:
  `getNCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

### getCharacterStream

public Reader getCharacterStream(int parameterIndex) throws SQLException

Specified by:
  `getCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

### getCharacterStream

public Reader getCharacterStream(String parameterName) throws SQLException

Specified by:
  `getCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

### setBlob

public void setBlob(String parameterName, Blob x) throws SQLException

Specified by:
  `setBlob` in interface `CallableStatement`
Throws:
  `SQLException`

### setClob

public void setClob(String parameterName, Clob x) throws SQLException

Specified by:
  `setClob` in interface `CallableStatement`
Throws:
  `SQLException`

### setAsciiStream

public void setAsciiStream(String parameterName, InputStream x, long length) throws SQLException

Specified by:
  `setAsciiStream` in interface `CallableStatement`
Throws:
  `SQLException`

### setBinaryStream

public void setBinaryStream(String parameterName, InputStream x, long length) throws SQLException

Specified by:
  `setBinaryStream` in interface `CallableStatement`
Throws:
  `SQLException`

### setCharacterStream

public void setCharacterStream(String parameterName, Reader reader, long length) throws SQLException

Specified by:
  `setCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

### setAsciiStream

public void setAsciiStream(String parameterName, InputStream x) throws SQLException

Specified by:
  `setAsciiStream` in interface `CallableStatement`
Throws:
  `SQLException`

### setBinaryStream

public void setBinaryStream(String parameterName, InputStream x) throws SQLException

Specified by:
  `setBinaryStream` in interface `CallableStatement`
Throws:
  `SQLException`

### setCharacterStream

public void setCharacterStream(String parameterName, Reader reader) throws SQLException

Specified by:
  `setCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

### setNCharacterStream

public void setNCharacterStream(String parameterName, Reader value) throws SQLException

Specified by:
  `setNCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

### setClob

public void setClob(String parameterName, Reader reader) throws SQLException

Specified by:
  `setClob` in interface `CallableStatement`
Throws:
  `SQLException`

### setBlob

public void setBlob(String parameterName, InputStream inputStream) throws SQLException

Specified by:
  `setBlob` in interface `CallableStatement`
Throws:
  `SQLException`

### setNClob

public void setNClob(String parameterName, Reader reader) throws SQLException

Specified by:
  `setNClob` in interface `CallableStatement`
Throws:
  `SQLException`

### getObject

public <T> T getObject(int parameterIndex, Class<T> type) throws SQLException

Specified by:
  `getObject` in interface `CallableStatement`
Throws:
  `SQLException`

### getObject

public <T> T getObject(String parameterName, Class<T> type) throws SQLException

Specified by:
  `getObject` in interface `CallableStatement`
Throws:
  `SQLException`